# Настройка работы с 4G модемом оператора

Открыть окно терминала в **winbox**

```plaintext
/system resource usb print
/system serial-terminal usb1 channel=1
```

Соединяемся на COM-порт модема и вводим там команду. Она нужна для включения локального эха, чтобы вы видели что вы набираете в терминале.

```plaintext
ATE1
```
Далее вводим команду, для того чтобы модем не сыпал в порт *RSSI (Received Signal Strength Indication)* и прочим.

```plaintext
AT^CURC=0
```

И наконец вводим команду смены композиции модема. ТЕ режим «без переключения». Т.е. в данном режиме первичная композиция модема (initial mode) отключена, т.е. задана как `FF - Dummy` (отсутствие переключения), а вторичная композиция (normal mode) задана как `10,12,16,A2`:
-   10 - модем
-   12 - PC UI
-   16 - RNDIS (у нас его нет)
-   A2 - TF Card Reader.

```plaintext
AT^SETPORT="FF;10,12,16,A2" 
```

После чего вынимаем модем из Mikrotik и вставляем его по новой. Модем будет находиться уже в рабочей композиции, поэтому соединение `ppp-out1`, когда он зарегистрируется в сети оператора должно подняться у вас в Mikrotik автоматически

Далее включаем 4G модем и отключаем режим CD-Rom:

```plaintext
AT^SETPORT="A1;10,12,13"OK
```

После чего выходим, нажав `Ctrl-A` и `Q`
```
Ctrl-A

[Q - quit connection] [B - send break] [A - send Ctrl-A prefix] [R - autoconfigure rate]
```

Теперь можете активировать интерфейс и работать с ним

## Настройка Mikrotik на 4G Megafon

Подключаем ПК к третьему порту **Mikrotik**(вообще можно использовать любой, кроме первого), переворачиваем устройство и видим на наклейке со штрих-кодом диапазон mac адресов, последний относится к пятому порту, вводим его в окно подключения **winbox**, либо используем как аргумент mactelnet. Пользователь admin, пароль отсутствует. Так же можно подучиться через поиск neighbors в окне подключения **winbox**

Появится предложение: сохранить базовую конфигурацию, либо обнулить устройство. Выбираем `Remove Configuration`. Устройство перезагрузится.

Далее проверяем что версия routerboard последняя, для этого идем в system → routerboard. Скачать последнюю версию можно по ссылке: [https://mikrotik.com/download](https://mikrotik.com/download)

Закачиваем последнюю версию на роутер, для этого открываем files и перетаскиваем сам файл прошивки

Далее идем в system → routerboard, нажимаем upgrade. Соглашаемся с обновлением. идем в system-reboot

После перезагрузки проверяем версию системы

Теперь, заливаем [конфигурашку](https://cloud.thest1tch.ru/s/tXTqRCwnGP9trRZ). В окне files выделяем скопированный файл конфигурации и жмем restore. Вводим пароль от нашего роутера

Готово

---

Список используемых ресурсов:

-   список команд AT [https://3ginfo.ru/page53.html](https://3ginfo.ru/page53.html) и [http://4pda.ru/forum/lofiversion/index.php?t582284.html](https://4pda.ru/forum/lofiversion/index.php?t582284.html)
-   перепрошивка модема [https://mr-allen.com/mikrotik/e3372s-lte-modem](https://mr-allen.com/mikrotik/e3372s-lte-modem) и [https://tugibaev.ru/2015/03/megafon-m150-2-mikrotik/](https://tugibaev.ru/2015/03/megafon-m150-2-mikrotik/)
-   [https://buywifi.ru/blog/mikrotik/nastroyka-mikrotik-dlya-raboty-s-3g-lte-modemom/](https://buywifi.ru/blog/mikrotik/nastroyka-mikrotik-dlya-raboty-s-3g-lte-modemom/)
-   [http://valec.ru/?p=316](http://valec.ru/?p=316)
-   [https://dev.turn-guild.ru/?p=251](https://dev.turn-guild.ru/?p=251)
-   [https://habr.com/ru/post/188424/](https://habr.com/ru/post/188424/)
-   [https://trustoff.ru/page/45/vvodim-at-komandy-v-modem/](https://trustoff.ru/page/45/vvodim-at-komandy-v-modem/)
-   [https://www.technotrade.com.ua/Articles/mikrotik\_3g-modem\_setup.php](https://www.technotrade.com.ua/Articles/mikrotik_3g-modem_setup.php)